## GstGLDisplayEGL

GstGLDisplayEGL

## Functions

GstGLDisplayEGL * | gst_gl_display_egl_new ()
GstGLDisplayEGL * | gst_gl_display_egl_new_with_egl_display ()
GstGLDisplayEGL * | gst_gl_display_egl_from_gl_display ()
gpointer | gst_gl_display_egl_get_from_native ()

## Includes

    #include <gst/gl/egl/gstgldisplay_egl.h>

## Description

## Functions

### gst_gl_display_egl_new ()

    GstGLDisplayEGL *
    gst_gl_display_egl_new (void);

Create a new GstGLDisplayEGL using the default EGL_DEFAULT_DISPLAY.

#### Returns

a new GstGLDisplayEGL or `NULL`.

[transfer full]

### gst_gl_display_egl_new_with_egl_display ()

    GstGLDisplayEGL *
    gst_gl_display_egl_new_with_egl_display
                                   (gpointer display);

### gst_gl_display_egl_from_gl_display ()

    GstGLDisplayEGL *
    gst_gl_display_egl_from_gl_display (GstGLDisplay *display);

Creates a EGL display connection from a native Display.

This function will return the same value for multiple calls with the same `display` .

#### Parameters

display | an existing GstGLDisplay |

#### Returns

a new GstGLDisplayEGL.

[transfer full]

Since: 1.12

### gst_gl_display_egl_get_from_native ()

    gpointer
    gst_gl_display_egl_get_from_native (GstGLDisplayType type,
                                        guintptr display);

Attempts to create a new EGLDisplay from `display` . If `type` is `GST_GL_DISPLAY_TYPE_ANY`, then `display` must be 0. `type` must not be `GST_GL_DISPLAY_TYPE_NONE`.

#### Parameters

type | a GstGLDisplayType |
display | pointer to a display (or 0) |

#### Returns

A EGLDisplay or `EGL_NO_DISPLAY`

Since: 1.12

## Types and Values